Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.util
Class XMLFastBuilder

    java.lang.Object
      org.meshcms.util.XMLTagStack
          org.meshcms.util.XMLFastBuilder

public class XMLFastBuilder
extends XMLTagStack

Field Summary

Fields inherited from class org.meshcms.util.XMLTagStack
`newTag, tagStack, textBuffer`

Constructor Summary
`XMLFastBuilder(java.io.Writer out, java.lang.String charset, boolean xhtml)`

Method Summary
`XMLTagStack` | `addCDATA(java.lang.String textData)`
`XMLTagStack` | `addText(java.lang.String textData)`
`void` | `flush()`
`java.lang.String` | `getCurrentTagName()`
`protected void` | `performCloseTag()`
`XMLTagStack` | `performOpenTag(java.lang.String tagName)`
`XMLTagStack` | `setAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class org.meshcms.util.XMLTagStack
`closeTag, closeTag, configureTransformer, endCDATABuffer, endTextBuffer, isNewTag, openCDATABuffer, openTag, openTextBuffer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFastBuilder

    public XMLFastBuilder(java.io.Writer out,
                          java.lang.String charset,
                          boolean xhtml)
                   throws javax.xml.transform.TransformerConfigurationException

Method Detail

### getCurrentTagName

    public java.lang.String getCurrentTagName()

  Specified by:
    `getCurrentTagName` in class `XMLTagStack`

### performOpenTag

    public XMLTagStack performOpenTag(java.lang.String tagName)

  Specified by:
    `performOpenTag` in class `XMLTagStack`

### setAttribute

    public XMLTagStack setAttribute(java.lang.String name,
                                    java.lang.String value)

  Specified by:
    `setAttribute` in class `XMLTagStack`

### addText

    public XMLTagStack addText(java.lang.String textData)

  Specified by:
    `addText` in class `XMLTagStack`

### addCDATA

    public XMLTagStack addCDATA(java.lang.String textData)

  Specified by:
    `addCDATA` in class `XMLTagStack`

### performCloseTag

    protected void performCloseTag()

  Specified by:
    `performCloseTag` in class `XMLTagStack`

### flush

    public void flush()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD